<%@ Register TagPrefix="Acme" TagName="SourceRef" Src="/quickstart/util/SrcRef.aspx"%>

<!-- #include virtual="/quickstart/howto/include/header.inc" -->

<script language="C#" runat="server">

    public void Page_Load(Object sender, EventArgs E) 
    {
        // shell the explorer to a directory
        Ref.RunSample = Server.MapPath("/quickstart/howto/samples/net/TCPUDP");

        // run an aspx page directly
        // Ref.RunSample = "/quickstart/howto/samples/BaseDataTypes/Sort/Sort.aspx";

        Ref.ViewSource = "/quickstart/howto/samples/net/TCPUDP/dateTimeServer.src";
        Ref.Icon = "/quickstart/images/genicon.gif";
        Ref.Caption = "dateTimeServer.exe";
    }

</script>

<h4>How Do I...Make a DateTime server with TCPListener?</h4>

<div class="indent" style="width:660"></div>
<P>
This sample illustrates using the TCPListener class to create a DateTime server program.
<P>
This application acts as a Server for the standard Date and Time protocol. This protocol works on port 13, and responds to any TCP connections to that port with the current date and time.
</P>
The application firsts creates a <B>TCPListener</B> object with the constructor that specifies that the Listener should handle all requests incoming on Port 13. Next, it goes into a loop and continues to listen for incoming connections. The connections are then accepted with the <B>Accept</B> method, and the  Socket  returned is used to <B>Send</B> the current date and time. 
</P>
<P>
The <B>Receive</B> method could be called to get data from the client, but that method is ignored, as the Date and Time protocol doesn't need any information that is sent from the client, but automatically returns the information.
</P>

<h4>Example</h4>

<Acme:SourceRef id="Ref" runat="server" />

<h4>Source Code</h4>

<div class="code">
<xmp>
<!-- #include virtual="/quickstart/howto/samples/net/TCPUDP/dateTimeServer.cs" -->
</xmp>
</div>

<!-- #include virtual="/quickstart/howto/include/footer.inc" -->
