<!-- #include virtual="/quickstart/howto/include/header.inc" -->

<h4>How Do I...</h4>

<div class="indent">

<table class="reference">
  <tr>

    <td valign="top">      


      Win Forms:
      <ul>
        <li><a target="content" href="WinForms/WinFormsAppErrorHandler.aspx">Create a default error handler?</a>
        <li><a target="content" href="WinForms/WinFormsOwnerDrawListBox.aspx">Create an Owner-drawn ListBox?</a>
        <li><a target="content" href="WinForms/WinFormsThreadMarshalling.aspx">Manipulate a control from a background thread?</a>
      </ul>

      Base Data Types:
      <ul>
        <li><a target="content" href="sort.aspx">Sort an array?</a>
        <li><a target="content" href="format.aspx">Format a string?</a>
        <li><a target="content" href="parse.aspx">Parse a string?</a>
        <li><a target="content" href="compare.aspx">Compare two objects?</a>
      </ul>
      Exceptions:
      <ul>
        <li><a target="content" href="catch.aspx">Catch an exception?</a>
        <li><a target="content" href="throw.aspx">Throw an exception?</a>
      </ul>
      Component Model:
      <ul>
        <li><a target="content" href="ListBuilder.aspx">Use the CodeDOM to spit code for a strongly typed collection?</a>
      </ul>
      Collections:
      <ul>
        <li><a target="content" href="list.aspx">Create and use a List (ForEach)?</a>
        <li><a target="content" href="hashtable.aspx">Use a Hashtable?</a>
      </ul>
       Resources:
      <ul>
        <li><a target="content" href="ResourcesWrite.aspx">Write resources (API and tools)?</a>
        <li><a target="content" href="ResourcesRead.aspx">Read resources?</a>
        <li><a target="content" href="ResourcesCustomReader.aspx">Make your own ResourceReader?</a>      
      </ul>
      IO:
      <ul>
        <li><a target="content" href="Anagrams.aspx">Read a text file?</a>
        <li><a target="content" href="Directory.aspx">List a directory?</a>
        <li><a target="content" href="logfile.aspx">Create a log file?</a>
        <li><a target="content" href="LargeReadWrite.aspx">Read and write large files?</a>
        <li><a target="content" href="readwrite.aspx">Read Binary From a File?</a>
	<li><a target="content" href="Watcher.aspx">Watch file system changes?</a>
      </ul>
      Calling out to Win32:
      <ul>
        <li><a target="content" href="Win32Call.aspx">Call out to a Win32 API?</a>
        <li><a target="content" href="Win32Marshal.aspx">Custom marshal data from Win32?</a>
      </ul>
      Cryptography:
      <ul>
        <li><a target="content" href="fileencrypt.aspx">Encrypt and Decrypt a file?</a>
      </ul>
     Assemblies:
     <ul>
       <li><a target="content" href="sharedname.aspx">Create an assembly with a shared name?</a>
       <li><a target="content" href="gac.aspx">Install an assembly into the global cache?</a>
       <li><a target="content" href="searchpath.aspx">Change the default search path?</a>
       <li><a target="content" href="Version.aspx">Use version policy?</a>
     </ul>
      
      Programming the Web:
      <ul>
        <li><a target="content" href="/quickstart/aspplus/doc/writingservices.aspx">Work with a basic Web Service?</a>
        <li><a target="content" href="/quickstart/aspplus/doc/webservicetypes.aspx">Use various datatypes with Web Services?</a>
        <li><a target="content" href="/quickstart/aspplus/doc/servicesanddata.aspx">Work with Web Services and DataSets?</a>
        <li><a target="content" href="/quickstart/aspplus/doc/htmlscraping.aspx">Match text patterns as a Web Service?</a>
	<li><a target="content" href="WebRequests/clientGET.aspx">Make a GET request?</a>
        <li><a target="content" href="WebRequests/clientGETwithSSL.aspx">Make a GET request with SSL?</a>
	<li><a target="content" href="WebRequests/clientGETwithNTLM.aspx">Make a GET request with NTLM?</a>
	<li><a target="content" href="WebRequests/clientGETwithProxy.aspx">Make a GET request through a proxy?</a>
	<li><a target="content" href="WebRequests/clientGETasync.aspx">Make a GET request asynchronously?</a>
	<li><a target="content" href="WebRequests/clientException.aspx">Handle WebExceptions?</a>
	<li><a target="content" href="WebRequests/clientPOST.aspx">Make a POST request?</a>
	<li><a target="content" href="XSPNet/GET.aspx">Make a GET request from with ASP+?</a>
	<li><a target="content" href="XSPNet/GETAsync.aspx">Make a GET request with ASP+ asynchronously?</a>
	<li><a target="content" href="TCPUDP/DateTimeClient.aspx">Create a DateTime client with TCPClient?</a>
	<li><a target="content" href="TCPUDP/DateTimeServer.aspx">Create a DateTime server with TCPListener?</a>
	<li><a target="content" href="TCPUDP/BroadcastChatClient.aspx">Create a Chat client program with UDPClient?</a>
      </ul>
      Reflection:
      <ul>
        <li><a target="content" href="GetTypes.aspx">Get the types in an assembly?</a>
        <li><a target="content" href="ListMembers.aspx">List all the members of a type?</a>
        <li><a target="content" href="Invoke.aspx">Invoke methods?</a>
        
      </ul>
      Globalization and NLS:
      <ul>
        <li><a target="content" href="encoding.aspx">Use encodings?</a>
        <li><a target="content" href="cultureregion.aspx">Set your current culture and region?</a>
      </ul>

    </td>

    <td valign="top">

      Messaging:
      <ul>
        <li><a target="content" href="MQSend.aspx">Send a message to a message queue?</a>
        <li><a target="content" href="MQReceive.aspx">Receive a message from a message queue?</a>
        <li><a target="content" href="SendObject.aspx">Pass a complex type through a message queue?</a>
        <li><a target="content" href="MQAsync.aspx">Receive asynchronously?</a>
        <li><a target="content" href="Formatters.aspx">Use message formatters?</a>
        <li><a target="content" href="MQCtrl.aspx">Control a message queue?</a>
      </ul>
      Services:
      <ul>
        <li><a target="content" href="SimpleService.aspx">Write a simple Service application?</a>
      </ul>
      Setup:
      <ul>
        <li><a target="content" href="Installers.aspx">Create system resources during installation?</a>
        <li><a target="content" href="CustomAction.aspx">Execute custom code during installation?</a>
      </ul>
      Timers:
      <ul>
        <li><a target="content" href="Timer.aspx">Get timer events without message pump?</a>
        <li><a target="content" href="Scheduler.aspx">Execute custom code at specified times?</a>
        <li><a target="content" href="ScheduleDemo.aspx">Define complex schedules?</a>
      </ul>
      Active Directory:
      <ul>
        <li><a target="content" href="ADRead.aspx">Access Active Directory?</a>
        <li><a target="content" href="ADWrite.aspx">Modify Active Directory?</a>
      </ul>
      
      Diagnostics:
      <ul>
        <li><a target="content" href="LogWrite.aspx">Write to an event log?</a>
        <li><a target="content" href="LogInfo.aspx">Read from an event log?</a>
        <li><a target="content" href="LogMonitor.aspx">Monitor an event log?</a>
        <li><a target="content" href="PCWrite.aspx">Write to a performance counter?</a>
        <li><a target="content" href="PCRead.aspx">Read from a performance counter?</a>
        <li><a target="content" href="PCDemo.aspx">Count rate of change?</a>
        <li><a target="content" href="Trace.aspx">Work with tracing?</a>
        <li><a target="content" href="Switches.aspx">Use trace switches and listeners?</a>
        <li><a target="content" href="TraceDemo.aspx">Instrument a small application with tracing?</a>
        <li><a target="content" href="ProcessDemo.aspx">Start and stop a process?</a>
        <li><a target="content" href="PrInfo.aspx">Get information about processes?</a>
      </ul>
 	ADO+ Data:
      <ul>
	<li><a target="content" href="adoplus\adoplusoverview.aspx">Get an Overview of ADO+?</a>
        <li><a target="content" href="adoplus\ExecuteCommand.aspx">Execute a Command?</a>
        <li><a target="content" href="adoplus\OutParams.aspx">Get out params from a stored procedure?</a>
        <li><a target="content" href="adoplus\GetDataFromDB.aspx">Get Data from a Database?</a>
        <li><a target="content" href="adoplus\UpdateDataFromDB.aspx">Update Data in a Database?</a>
        <li><a target="content" href="adoplus\ReadAndWriteXml.aspx">Read and Write XML?</a>
        <li><a target="content" href="adoplus\DatabaseTrans.aspx">Use Database Transactions?</a>
        <li><a target="content" href="adoplus\HandleErrors.aspx">Handle Errors?</a>
        <li><a target="content" href="adoplus\RelationalData.aspx">Work with Hierarchical or Relational Data?</a>
        <li><a target="content" href="adoplus\TypedData.aspx">Work with typed Data?</a>
        <li><a target="content" href="adoplus\FilterData.aspx">Filter data?</a>
      </ul>
      XML Data:
      <ul>
        <li><a target="content" href="Xml\OverviewofXML.aspx">Work with XML data and the XML classes?</a>
        <li><a target="content" href="Xml\ReadXMLFile.aspx">Read XML from a file?</a>
        <li><a target="content" href="Xml\ReadXMLStream.aspx">Read XML from a stream?</a>
        <li><a target="content" href="Xml\WriteXMLFile.aspx">Write XML to a file?</a>
        <li><a target="content" href="Xml\ValidationReadingXML.aspx">Apply validation when reading XML?</a>
        <li><a target="content" href="Xml\DOMInterfaceXmlDocument.aspx">Load and use the XmlDocument (W3C DOM)?</a>
        <li><a target="content" href="Xml\SaveXmlDocument.aspx">Save XML with the XmlDocument (W3C DOM)?</a>
        <li><a target="content" href="Xml\LoadXmlDocument.aspx">Load and use the XmlDataDocument?</a>
        <li><a target="content" href="Xml\StreamAnXmlDocument.aspx">Read XML from an XmlDataDocument?</a>
        <li><a target="content" href="Xml\NavigateXmlDocument.aspx">Navigate XML with the XmlNavigator?</a>
        <li><a target="content" href="Xml\EditingXmlDocument.aspx">Edit XML with the XmlNavigator?</a>
        <li><a target="content" href="Xml\QueryXmlDocumentXPath.aspx">Query XML with an XPath expression?</a>
        <li><a target="content" href="Xml\TransformXml.aspx">Apply an XSL transformation to XML?</a>
        <li><a target="content" href="Xml\XMLDataSet.aspx">Use XML and the DataSet class?</a>
        <li><a target="content" href="Xml\DataSetMapXSDSchema.aspx">Create DataSet mappings from an XSD schema?</a>
        <li><a target="content" href="Xml\LoadDataSetXMLData.aspx">Load a DataSet with XML?</a>
        <li><a target="content" href="Xml\DataSetMapXMLData.aspx">Infer DataSet mappings from XML?</a>
        <li><a target="content" href="Xml\SaveDataSetMapXSDSchema.aspx">Save DataSet mappings to an XSD schema file?</a>
        <li><a target="content" href="Xml\SaveDataSetXML.aspx">Save a DataSet as XML?</a>
      </ul>

      Serialization:
      <ul>
        <li><a target="content" href="Serialize.aspx">Serialize an object graph?</a>
        <li><a target="content" href="ISerializable.aspx">Use ISerializable?</a>
      </ul>
      XML Serialization:
      <ul>
        <li><a target="content" href="xmlserialization/XSDFromCls.aspx">Create an XSD schema from a class?</a>
        <li><a target="content" href="xmlserialization/XSDToCls.aspx">Create a class from an XSD schema?</a>
        <li><a target="content" href="xmlserialization/RWObjFromXML.aspx">Read and Write objects into XML?</a>
      </ul>

    </td>

  </tr>
</table>

</div>

<!-- #include virtual="/quickstart/include/footer.inc" -->



