<%@ Register TagPrefix="Acme" TagName="SourceRef" Src="/quickstart/util/SrcRef.aspx"%>

<!-- #include virtual="/quickstart/howto/include/header.inc" -->

<script language="C#" runat="server">

    public void Page_Load(Object sender, EventArgs E) 
    {
        // shell the explorer to a directory
        Ref.RunSample = Server.MapPath("/quickstart/howto/samples/globalization/encoding");

        // run an aspx page directly
        // Ref.RunSample = "/quickstart/howto/samples/BaseDataTypes/Sort/Sort.aspx";

        Ref.ViewSource = "/quickstart/howto/samples/globalization/encoding/encoding.src";
        Ref.Icon = "/quickstart/images/genicon.gif";
        Ref.Caption = "Encoding.exe";
    }

</script>

<h4>How Do I...Use different text encodings?</h4>

<div class="indent" style="width:660">
This sample illustrates the use of multiple encoding formats available 
from the Text namespace. It will create a textfile called "text.txt" and
demonstrates how to write content to it with different encodings.
</div>

<h4>Example</h4>

<Acme:SourceRef id="Ref" runat="server" />

<h4>Source Code</h4>

<div class="code">
<xmp>
<!-- #include virtual="/quickstart/howto/samples/globalization/encoding/encoding.cs" -->
</xmp>
</div>

<!-- #include virtual="/quickstart/howto/include/footer.inc" -->
