
<!-- #include virtual="/quickstart/howto/include/header.inc" -->


 
<% 
    runsample = Server.MapPath("/quickstart/howto/samples/BaseDataTypes/format")
    viewsource = "/quickstart/howto/samples/BaseDataTypes/format/stringformat.src"
    icon = "/quickstart/images/console.gif"
    caption = "StringFormat.exe"
%>

<h4>How Do I...Format base data types for output?</h4>

<div class="indent" style="width:660">
This sample illustrates how to format base data types for display. We show 
built in formatting codes and picture formats for dates, integral and floating 
point numbers. We also show how to customize formatting of your own type and 
how to add new formatting codes. 
</div>

<h4>Example</h4>

<p>
<div class="indent">
<a target="_blank" href="<%=runsample%>">
<img style="border-color:black" border=1 src="<%=icon%>"><br>
</a>
<div class="caption"><%=caption%></div><br>
[<a target="_blank" href="<%=runsample%>">View Sample</a>] | 
[<a target="_blank" href="/quickstart/util/srcview.aspx?path=<%=viewsource%>">View Source</a>]<p>
</div>

<h4>Source Code</h4>

<div class="code">
<xmp>
<!-- #include virtual="/quickstart/howto/samples/BaseDataTypes/Format/stringformat.cs" -->
</xmp>
</div>

<!-- #include virtual="/quickstart/howto/include/footer.inc" -->
