
<!-- #include virtual="/quickstart/howto/include/header.inc" -->

<%
    runsample = Server.MapPath("/quickstart/howto/samples/assemblies/searchpath")
    icon = "/quickstart/images/genicon.gif"
    caption = "math.exe"
%>

<h4>How Do I...change the search path for private assemblies?</h4>

<div class="indent" style="WIDTH: 660px">
This sample demonstrates how to use an application configuration file to specify a custom search path for private assemblies...
</div>

<h4>Example</h4>

<p>
<div class="indent">
<a target="_blank" href="<%=runsample%>">
<img style="border-color:black" border=1 src="<%=icon%>"><br>
</a>
<div class="caption"><%=caption%></div><br>
</div>

<h4>Assembly Search Paths</h4>
<div class="indent" style="WIDTH: 660px">
<P>The default search path for private assemblies includes the 
"AppBase" - the directory the application resides in - plus subdirectories 
thereof that follow naming conventions based on assembly name and culture.&nbsp; 
You can customize this behavior using an application configuration file.&nbsp; 
For an executable, the configuration file resides in the same directory as the 
exe and has the same name (minus ".exe") with a ".cfg" extension.&nbsp; For this 
sample the executable is called math.exe and the configuration file is called 
math.cfg.&nbsp; The cfg file looks like this: </P>
<P>&lt;?xml version = "1.0"?&gt;</P>
<P>&lt;configuration&gt;</P>
<P>&nbsp;&nbsp;&nbsp; &lt;AppDomain PrivatePath="parser" /&gt;</P>
<P>&lt;/configuration&gt;</P>
<P>The "PrivatePath" attribute of the "AppDomain' tag is a semi-colon delimited 
list of directories in which to search for private assemblies.&nbsp; These 
directory names are relative to the AppBase - they cannot point outside the 
AppBase.&nbsp; The directories on "PrivatePath" will be searched after the 
AppBase itself.</P>
                     
                     
                        
                    

  

                      
                   

   

                       
                         
                       
</div><!-- #include virtual="/quickstart/howto/include/footer.inc" --></BODY></HTML>
