
<!-- #include virtual="/quickstart/howto/include/header.inc" -->

<%
    runsample = Server.MapPath("/quickstart/howto/samples/BaseDataTypes/Sort")
    viewsource = "/quickstart/howto/samples/BaseDataTypes/Sort/sort.src"
    icon = "/quickstart/images/console.gif"
    caption = "Sort.exe"
%>

<h4>How Do I...Sort an array?</h4>

<div class="indent" style="width:660">
This sample illustrates sorting the elements in an integer array, 
a double array, and a string array. Using the Array.Sort method, 
you can sort any array whose elements implement IComparable. You can 
also sort arrays of your own types as long as they implement IComparable. 
If a type does not implement IComparable (or if you want to customize the 
sort order) you can still use Array.Sort if you provide a Comparer, such as 
the GuidComparer shown in the sample. 
</div>

<h4>Example</h4>

<p>
<div class="indent">
<a target="_blank" href="<%=runsample%>">
<img style="border-color:black" border=1 src="<%=icon%>"><br>
</a>
<div class="caption"><%=caption%></div><br>
[<a target="_blank" href="<%=runsample%>">View Sample</a>] | 
[<a target="_blank" href="/quickstart/util/srcview.aspx?path=<%=viewsource%>">View Source</a>]<p>
</div>

<h4>Source Code</h4>

<div class="code">
<xmp>
<!-- #include virtual="/quickstart/howto/samples/BaseDataTypes/sort/sort.cs" -->
</xmp>
</div>

<!-- #include virtual="/quickstart/howto/include/footer.inc" -->
