<%@ Page Language="C#" %>
<%@ Import Namespace="System.Text" %>
<%@ Import Namespace="System.IO" %>

<%@ Register TagPrefix="Acme" TagName="SourceView" Src="/quickstart/samples/util/SrcView.aspx"%>

<html>
<head>
<link rel="stylesheet" href="/quickstart/samples/util/style.css" >

    <script runat="server">

      public void Page_Load (Object sender, EventArgs E)
      {
	StringBuilder output = new StringBuilder();

	FileStream fs = new FileStream("log.txt", FileMode.OpenOrCreate, FileAccess.ReadWrite);
  	StreamWriter w = new StreamWriter(fs);         // create a Char writer 
  	w.GetStream().Seek(0, SeekOrigin.End);        // set the file pointer to the end
  	w.Write("\r\nLog Entry : ");
  	w.Write("{0} {1} \n\n", DateTime.Now.ToLongTimeString(), DateTime.Now.ToLongDateString());
  	w.Write("--Log entry goes here... \n");
  	w.Flush();  // update underlying file
  
  	StreamReader r = new StreamReader(fs);      	   // create a Char reader
  	r.GetStream().Seek(0, SeekOrigin.Begin);   	  // set the file pointer to the beginning
  	while (r.Peek() > -1)                       	 // while not at the end of the file
    	{
      	  output.Append(r.ReadLine()+"\n");
    	}
  	w.Close();                                  	 // close the writer and underlying file
  	r.Close();                                  	// close the read

	TxtOutput.Value=output.ToString();

      }

    </script>

</head>
<body>

<h3>FileRead.aspx</h3>

<h4>Output: </h4>
<textarea id="TxtOutput" cols="80" rows="20" runat="server"/>

</body>
</html>
