
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SQL" %>

<html>

<script language="C#" runat="server">

    protected void Page_Load(Object Src, EventArgs E ) 

	{

	// Create a new Connection and DataSetCOmmand
        SQLConnection myConnection = new SQLConnection("server=localhost;uid=sa;pwd=;database=northwind");
	SQLDataSetCommand myDataSetCommand = new SQLDataSetCommand("select * from customers", myConnection);

	// Create the new instance of the DataSet
	DataSet myDataSet = new DataSet();
	
	// Load the customer table from the database into a table called Customers in the dataset	
	myDataSetCommand.FillDataSet(myDataSet,"Customers");
	
	// Create a new dataview instance on the Customers table that was just created
	DataView dataView1 = new DataView(myDataSet.Tables["Customers"]);

	/// Sort the view based on the FirstName column
	dataView1.Sort = "CustomerID";


	
	myDataSet.Tables["Customers"].Rows[0].RowError = "An Error was added";
	myDataSet.Tables["Customers"].Rows[1].RowError = "This is another error message";

	
	
	if ( myDataSet.Tables["Customers"].HasErrors )
	  {
	    DataRow[] ErrorsRows = myDataSet.Tables["Customers"].GetErrors();
	    Response.Write("<p>");
	    Response.Write("DataTable " + myDataSet.Tables["Customers"].TableName + " has " + 
		ErrorsRows.Length.ToString() + " Error(s)!</P>");
    
	    for (int i = 0; i <= ErrorsRows.Length -1; i++)
	    {
 		Response.Write("<BR>");
     	        Response.Write("Row Error for row " + 
		ErrorsRows[i]["CustomerID"].ToString() + " --  Error Msg="  + 
		ErrorsRows[i].RowError);
		Response.Write("<BR>");
	    }
	  }
	else
	  {
		Response.Write("");
		Response.Write("=================");
		Response.Write("DataTable " + myDataSet.Tables["Customers"].TableName + " Has no errors");
	  }

  }
</script>

</html>




 