
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SQL" %>

<html>
<script language="C#" runat="server">

    public DataSet dsCustomers; 
 

    protected void Page_Load(Object Src, EventArgs E ) 
    {
        SQLConnection myConnection = new SQLConnection("server=localhost;uid=sa;pwd=;database=northwind");
	SQLDataSetCommand CustomersDSCommand = new SQLDataSetCommand("select * from customers", myConnection);
	SQLDataSetCommand OrdersDSCommand = new SQLDataSetCommand("select * from orders", myConnection);

	dsCustomers = new DataSet();

	
	CustomersDSCommand.FillDataSet(dsCustomers,"Customers");
	OrdersDSCommand.FillDataSet(dsCustomers,"Orders");

	//ADD RELATION
	dsCustomers.Relations.Add("CustOrders",dsCustomers.Tables["Customers"].Columns["CustomerId"],dsCustomers.Tables["Orders"].Columns["CustomerId"]);

	//Iterate over data of Customers and their orders
	foreach (DataRow Customer in dsCustomers.Tables["Customers"].Rows)
	{
		Response.Write("<br>Customer: " + Customer["ContactName"].ToString());
		Response.Write("<blockquote>");
		// Iterate over orders data
		foreach (DataRow Order in Customer.GetChildRows(dsCustomers.Relations["CustOrders"]))
		{
			Response.Write("<br>Order #" + Order["OrderId"].ToString());
		}
		Response.Write("</blockquote>");
	}

	// EDIT
	//dsCustomers.Tables["Customers"].Rows[0]["ContactName"]="Peach";

	// DELETE
	//dsCustomers.Tables["Customers"].Rows[dsCustomers.Tables["Customers"].Rows.Count-1].Delete();

	
    }

</script>

<body>




</body>
</html>
