
<!-- #include virtual="/quickstart/howto/include/header.inc" -->

<%
    runsample = "/quickstart/howto/samples/fileread/fileread.aspx"
    viewsource = "/quickstart/howto/samples/fileread/fileread.src"
    icon = "/quickstart/images/genicon.gif"
    caption = "FileRead.aspx"
%>

<h4>How Do I...Read From a File?</h4>

<div class="indent" style="width:660">
This sample illustrates basic file input using the StreamReader and FileStream classes ...
</div>

<h4>Example</h4>

<p>
<div class="indent">
<a target="_blank" href="<%=runsample%>">
<img style="border-color:black" border=1 src="<%=icon%>"><br>
</a>
<div class="caption"><%=caption%></div><br>
[<a target="_blank" href="<%=runsample%>">View Sample</a>] | 
[<a target="_blank" href="/quickstart/util/srcview.aspx?path=<%=viewsource%>">View Source</a>]<p>
</div>

<h4>Source Code</h4>

<div class="code">
<xmp>
StringBuilder output = new StringBuilder();

FileStream fs = File.OpenRead (Server.MapPath("datafile.xml"));
StreamReader sr = new StreamReader(fs);
String line = sr.ReadLine();

while (line != null) 
{
  output.Append(line + "\n");
  line = sr.ReadLine();
}

fs.Close();
</xmp>
</div>

<!-- #include virtual="/quickstart/howto/include/footer.inc" -->
