
<!-- #include virtual="/quickstart/howto/include/header.inc" -->

<%
    runsample = Server.MapPath("/quickstart/howto/samples/Serialization/ISerializable")
    viewsource = "/quickstart/howto/samples/Serialization/ISerializable/ISerializable.src"
    icon = "/quickstart/images/Console.gif"
    caption = "ISerializable.exe"
%>

<h4>How Do I...Use ISerializable to customize the serialization of a class?</h4>

<div class="indent" style="width:660">
This sample illustrates how to use the ISerializable interface to customize
 the serialization of your own objects. This sample serializes a tree of 
 all the namespaces in the mscorlib assembly. To demonstrate the customization
  possible with ISerializable, when the namespace name is written out, "(SAVED)" 
  is appended to indicate that the values are not live. When the data is read back in,  
  this tag could be modified or removed. Note: This samples requires the 
  System.Runtime.Serialization.Formatters.Soap.dll. 
</div>

<h4>Example</h4>

<p>
<div class="indent">
<a target="_blank" href="<%=runsample%>">
<img style="border-color:black" border=1 src="<%=icon%>"><br>
</a>
<div class="caption"><%=caption%></div><br>
[<a target="_blank" href="<%=runsample%>">View Sample</a>] | 
[<a target="_blank" href="/quickstart/util/srcview.aspx?path=<%=viewsource%>">View Source</a>]<p>
</div>

<h4>Source Code</h4>

<div class="code">
<xmp>
<!-- #include virtual="/quickstart/howto/samples/serialization/ISerializable/ISerializable.cs" -->
</xmp>
</div>


<!-- #include virtual="/quickstart/howto/include/footer.inc" -->
