<%@ Register TagPrefix="Acme" TagName="SourceRef" Src="/quickstart/util/SrcRef.aspx"%>

<!-- #include virtual="/quickstart/howto/include/header.inc" -->

<script language="C#" runat="server">

    public void Page_Load(Object sender, EventArgs E) 
    {
        // shell the explorer to a directory
        Ref.RunSample = Server.MapPath("/quickstart/howto/samples/net/TCPUDP");

        // run an aspx page directly
        // Ref.RunSample = "/quickstart/howto/samples/BaseDataTypes/Sort/Sort.aspx";

        Ref.ViewSource = "/quickstart/howto/samples/net/TCPUDP/dateTimeClient.src";
        Ref.Icon = "/quickstart/images/genicon.gif";
        Ref.Caption = "dateTimeClient.exe";
    }

</script>

<h4>How Do I...Make a DateTime client with TCPClient?</h4>

<div class="indent" style="width:660"></div>
<P>
This sample illustrates using the TCPClient class to create a DateTime program.
</p><P>
This application acts as a client for the standard Date and Time protocol. This protocol works on port 13, and responds to any TCP connections to that port with the current date and time.
</P>
<P>
The application firsts creates a <B>TCPClient</B> object with the default constructor. Next, the hostname that was specified at the command line is resolved into an IP address with the statis class <B>DNS</B>. Next, the <B>Connect</B> method is called and the TCPClient connects to the server on port 13.
</P>
<P>
The <B>GetStream</B> method is next called and a <B>Stream</B> object is returned that represents the data returned by the server. This data is read from the <B>Stream</B> object with the read method, and the byte array that the read function returns is turned into a string, and displayed.
</P>
<h4>Example</h4>

<Acme:SourceRef id="Ref" runat="server" />

<h4>Source Code</h4>

<div class="code">
<xmp>
<!-- #include virtual="/quickstart/howto/samples/net/TCPUDP/dateTimeClient.cs" -->
</xmp>
</div>

<!-- #include virtual="/quickstart/howto/include/footer.inc" -->
