
<!-- #include virtual="/quickstart/howto/include/header.inc" -->

<%
    runsample = Server.MapPath("/quickstart/howto/samples/assemblies/gac")
    icon = "/quickstart/images/genicon.gif"
    caption = "Build.bat"
%>

<h4>How Do I...install an assembly into the global assembly cache?</h4>

<div class="indent" style="WIDTH: 660px">
This sample demonstrates how to install an assembly into the global cache
</div>

<h4>Example</h4>

<p>
<div class="indent">
<a target="_blank" href="<%=runsample%>">
<img style="border-color:black" border=1 src="<%=icon%>"><br>
</a>
<div class="caption"><%=caption%></div><br>
</div>

<h4>Shared Names</h4>
<div class="indent" style="WIDTH: 660px">
<P>           
  The global assembly cache is&nbsp;a machine wide store used to 
hold assemblies that are meant to be shared by several applications on 
the machine.&nbsp; When the NGWS runtime releases its final version, assemblies will be installed in the cache using 
a new version of the Windows Installer.&nbsp; For Beta1 we ship a utility in the SDK 
called LM that can be used for this purpose.&nbsp; We also ship a 
Windows shell extension that allows you to look at the contents of the 
assembly cache.&nbsp; To&nbsp;see what's in your cache, just navigate to &lt;%windir%&gt;\assembly.&nbsp;&nbsp;</P>
<P>All assemblies in the cache must have a shared name.&nbsp; The batch file 
included with this sample generates a key pair, builds an assembly with a shared 
name and installs it into the assembly cache.</P>

</div><!-- #include virtual="/quickstart/howto/include/footer.inc" -->