
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SQL" %>

<html>

<script language="C#" runat="server">

  protected void Page_Load(Object Src, EventArgs E ) 
	{



	// Create a new Connection and DataSetCOmmand
        SQLConnection myConnection = new SQLConnection("server=localhost;uid=sa;pwd=;database=northwind");

	// Create stored procedure with out parameter
	// this command will create the sproc with the out parameter
	try
	{
	  SQLCommand CreateProcCommand = new SQLCommand("CREATE PROCEDURE GetCompanyName  @CustomerId nchar(5), @CompanyName nchar(40) out as select @CompanyName = CompanyName from Customers where CustomerId = @CustomerId",myConnection);
	  myConnection.Open();
	  CreateProcCommand.Execute();
	}
	catch(Exception e)
	{}

	SQLCommand myCommand = new SQLCommand("GetCompanyName", myConnection);
	myCommand.CommandType = CommandType.StoredProcedure;

	// fill the parameters collection based upon stord procedure
	SQLParameter workParam = null;

	workParam = myCommand.Parameters.Add(new SQLParameter("@CustomerID", SQLDataType.NChar, 5));
	workParam.Direction = ParameterDirection.Input;

	workParam = myCommand.Parameters.Add(new SQLParameter("@CompanyName", SQLDataType.NChar, 40));
	workParam.Direction = ParameterDirection.Output;

	myCommand.Parameters["@CustomerID"].Value = "ALFKI";
	

	try
	{
          myCommand.Execute();
	  Response.Write("CompanyName= " + myCommand.Parameters["@CompanyName"].Value);
	}
	catch(Exception e)
	{
	  Response.Write(e.ToString());
	}
	finally
	{
	  myConnection.Close();
	}

	}
	

</script>

</BODY>
</HTML>



 