<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SQL" %>

<html>
<script language="C#" runat="server">

    public DataSet dsCustomers; 
 

    protected void Page_Load(Object Src, EventArgs E ) 
    {
 	// Create a new Connection and DataSetCOmmand
        SQLConnection myConnection = new SQLConnection("server=localhost;uid=sa;pwd=;database=northwind");

	SQLDataSetCommand myDSC = new SQLDataSetCommand("Select * from Region", myConnection);

	SQLParameter workParam = null;


	//Build the insert Command
	myDSC.InsertCommand = new SQLCommand("Insert into Region (RegionID, RegionDescription) VALUES (@RegionID, @RegionDescription)", myConnection);

	workParam = myDSC.InsertCommand.Parameters.Add(new SQLParameter("@RegionID", SQLDataType.Int));
	workParam.SourceColumn = "RegionID";
	workParam.SourceVersion = DataRowVersion.Current;

	workParam = myDSC.InsertCommand.Parameters.Add(new SQLParameter("@RegionDescription", SQLDataType.NChar, 50));
	workParam.SourceVersion = DataRowVersion.Current;
	workParam.SourceColumn = "RegionDescription";

	//Build the update command
	myDSC.UpdateCommand = new SQLCommand("Update Region Set RegionDescription = @RegionDescription WHERE RegionID = @RegionID" , myConnection);

	workParam = myDSC.UpdateCommand.Parameters.Add(new SQLParameter("@RegionID", SQLDataType.Int));
	workParam.SourceColumn = "RegionID";
	workParam.SourceVersion = DataRowVersion.Original;

	workParam = myDSC.UpdateCommand.Parameters.Add(new SQLParameter("@RegionDescription", SQLDataType.NChar, 50));
	workParam.SourceVersion = DataRowVersion.Current;
	workParam.SourceColumn = "RegionDescription";


	DataSet myDataSet = new DataSet();

	myDSC.FillDataSet(myDataSet, "Region");



        DataRow changeRow = myDataSet.Tables["Region"].Rows.Find(2);
	changeRow[1] = "Changed this region desc";


   	DataRow newRow = myDataSet.Tables["Region"].NewRow();
  	newRow[0] = 901;
	newRow[1] = "A new region";
	myDataSet.Tables["Region"].Rows.Add(newRow);



	try
	{
	  myConnection.Open();
          myConnection.BeginTransaction();
	  myDSC.Update(myDataSet, "Region");
	  myConnection.CommitTransaction();
	  Response.Write("DataSet transaction succeeded!");
	}
	catch(Exception e)
	{
	  myConnection.RollbackTransaction();
	  Response.Write(e.ToString());
	}
	finally
	{
	  myConnection.Close();
	}

    }




</script>

<body>




</body>
</html>

